#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int a, b;
    cin >> a >> b;
    vector<int> niz(a);
    for(int i=0;i<a;i++){
        cin >> niz[i];}
    int br=0;
    while (br<a){
        if(niz[br]<=b){
            cout << br+1;
            break;}
        br++;}
    if(br==a){
        cout << -1;}
}